/*
*******************************|
*Media/Music Kick/Ban - Allenwr|
*******************************|
*
*Copyleft by Allenwr
*
******
*When an admin kicks a player, its plays a sound...
*
*Kick/Ban = Random Files Placed in the mediakickban.ini file
*
*Commands
*--------
*amx_mkick <name or #userid> [reason]
*amx_mban <name or #userid> <minutes> [reason]
*Same as regular kick/ban
*
*Changelog
*---------
* -1.0 -------- 1st release-
* -2.0 -------- plugin now chooses random sounds to play when kicking or banning -
* -3.0 -------- Now Files can be chosen by user in the mediakickban.ini file -----
* -3.1 -------- now used get_configsdir ------------------------------------------
* -3.2 -------- slight change in code --------------------------------------------
* -3.3 -------- Now you can choose between wav and mp3 in ini file ---------------
* -3.3.1 ------ Slight error in code fixed where sounds did not play -------------
* -3.4 -------- Shortened code for efficentcy - Thanks to Suicid3 ----------------
* -3.5 -------- removed stock from playmedia -------------------------------------
*/
#include <amxmodx>
#include <amxmisc>
#define mkickbansounds 8
#define CONFIG_FILE "mediakickban.ini"
 
new soundlist[mkickbansounds][80]
 
public read_ini()
{ 
	new ini_file[128]
        
	new config_dir[80]
	get_configsdir(config_dir,79)
	format(ini_file,127,"%s/%s",config_dir,CONFIG_FILE)
        
	new txt[100],line=0,sound[65] 
	new fp=fopen(ini_file, "rt") 
	while(!feof(fp)) 
	{
		fgets(fp,txt,99) 
		parse(txt,sound,99) 
		if (sound[0] != '/' && line<mkickbansounds)
		{ 
			format(soundlist[line],79,"%s",sound) 
			line++ 
		}
	}
	fclose(fp);
} 
 
public cmd_mkick(id, level, cid)
{
	if (!cmd_access(id, level, cid, 2))
		return PLUGIN_HANDLED   
        
	new txt[80]
	read_args(txt, 79)
                
	playmedia()
        
	set_task(12.0,"kick_timer",_,txt,strlen(txt))
	return PLUGIN_HANDLED
}
 
public cmd_mban(id, level, cid)
{
	if (!cmd_access(id, level, cid, 3))
		return PLUGIN_HANDLED   
        
	new txt[80]
	read_args(txt, 79)
	
	playmedia()
        
	set_task(12.0,"ban_timer",_,txt,strlen(txt))
	return PLUGIN_HANDLED
}
 
public kick_timer(txt[])
{
	server_cmd("amx_kick %s",txt)
}
 
public ban_timer(txt[])
{
	server_cmd("amx_ban %s",txt)
}
 
public plugin_precache()  
{ 
	read_ini() 
	new sound[100] 
        
	for (new i=0;i<mkickbansounds;i++) 
	{ 
		format(sound,99,"misc/%s",soundlist[i]) 
		precache_sound(sound) 
	} 
     
	return PLUGIN_CONTINUE 
}  
 
playmedia()
{
	client_cmd(0 , "stopsound")
	new Num = random_num(0,mkickbansounds-1)
	new iPos = (strfind(soundlist[Num], ".") + 1)
        
	if(equali(soundlist[Num][iPos] , "mp3")) 
		client_cmd(0, "mp3 play ^"sound/misc/%s^"",soundlist[Num]);
	else 
		client_cmd(0, "spk ^"misc/%s^"",soundlist[Num]);
}
 
public plugin_init()
{
	register_plugin("Media Kick/Ban", "3.5", "Allenwr")
	register_concmd("amx_mkick", "cmd_mkick", ADMIN_KICK, "<name or #userid> [reason]")
	register_concmd("amx_mban", "cmd_mban", ADMIN_BAN, "<name or #userid> <minutes> [reason]")
	register_cvar("mediakickban", "3.5",FCVAR_SERVER|FCVAR_UNLOGGED|FCVAR_SPONLY)
} 
